Subject: Q: is it possible to use macvtap with lowerdev hotplug?

From: Mike Rapoport <[email-masked]>
Date: Thu, 10 Jan 2019 09:40:54 +0200

Hi,

I have a setup in which VMs are connected with macvtap to the network. The
macvtap interfaces are attached to a physical NIC.

There is a question if it is possible to hot-unplug - hot-plug the physical
NIC and retain the VMs connectivity to the network (of course with some
hiccup for the unplug-plug time).

As far as I could tell from the macvtap/macvlan code, once lowerdev is gone
there is nothing that can be done to reattach macvlan/macvtap to another
lowerdev.

My question is there something fundamental that prevents it?

-- 
Sincerely yours,
Mike.